<script lang="ts">
  export let id;
  export let value = '';
  export let label = '';
  export let multiline = false;
  export let placeholder;
  export let required;

  const textInputClasses = `bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-1 focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 hover:ring-1 hover:ring-blue-500 hover:border-blue-500 dark:hover:ring-blue-500 dark:hover:border-blue-500 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500 ${$$props.class}`;
</script>

{#if label}
  <label for={id} class="block pb-2 text-sm font-medium text-gray-900 dark:text-gray-400">
    {label}
    {#if required}
      <span class="text-red-600 dark:text-red-500">*</span>
    {/if}
  </label>
{/if}
{#if !multiline}
  <input
    {id} {placeholder} {required}
    bind:value
    type="text"
    class={textInputClasses}
  >
{:else}
  <textarea
    {id} {placeholder}
    bind:value
    rows="4"
    class={textInputClasses}></textarea>
{/if}
